// $Id: tideDialog.h 6766 2018-02-04 18:51:50Z flaterco $

/*****************************************************************************\

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

\*****************************************************************************/


#ifndef TIDEDIALOG_H
#define TIDEDIALOG_H

#include "tideEditor.h"

#define ConstituentNameLen 15
typedef struct
{
    int        num;
    char       name[ConstituentNameLen];
} CONSTITUENT;


class TideDialog:public Q3TabDialog
{
    Q_OBJECT 


  public:

    TideDialog (QWidget *parent, const char *name, TIDE_RECORD lrec, NV_BOOL ro, TideEditor *te);
    ~TideDialog ();


  protected:

    DB_HEADER_PUBLIC db;
    TIDE_RECORD rec, inf_rec;
    TideEditor *tideEditor;

    NV_BOOL readonly;


    Q3TabDialog *tideDialog;
    Q3TextEdit *comments, *notes, *xfields;
    QLineEdit *name, *source, *lat, *lon, *datum_offset, *zone_offset, *months,
      *min_time_add, *min_level_add, *min_level_mult, 
      *min_direction, *max_time_add, *max_level_add, *max_level_mult, 
      *max_direction, *flood_begins, *ebb_begins, 
      *expiration_date, *ldos, *station_id_context, *station_id,
      *date_imported, *confidence;
    QComboBox *tzfile, *country, *restriction,
      *level_units, *direction_units, *legalese, *datum;
    Q3ListBox *subList;
    Q3Table *constituents;

    int *sub_station;

    CONSTITUENT *cnst;


    void generalTab ();
    void constituentsTab ();
    void offsetsTab ();


  protected slots:

    void slotUpdateStation ();
    void slotCancelStation ();
    void slotDeleteStation ();
    void slotPrintStation ();
    void slotChangeRefStation ();

  private:
};

#endif
